Match (JavaFX 17)

Module javafx.graphics
Package javafx.css

## Class Match

- java.lang.Object
- - javafx.css.Match

- All Implemented Interfaces:
    `Comparable<Match>`

      public final class Match
      extends Object
      implements Comparable<Match>

  Used by `Rule` to determine whether or not the selector applies to a given object. Returned by `Selector` matches in the event of a match.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Match o)` | Compares this object with the given `Match` object.
    `com.sun.javafx.css.PseudoClassState` | `getPseudoClasses()` | Gets the pseudo class state.
    `Selector` | `getSelector()` | Gets the `Selector`.
    `int` | `getSpecificity()` | Gets the specificity.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSelector

          public Selector getSelector()

      Gets the `Selector`.
      Returns:
        the `Selector`

    - #### getPseudoClasses

          public com.sun.javafx.css.PseudoClassState getPseudoClasses()

      Gets the pseudo class state.
      Returns:
        the pseudo class state

    - #### getSpecificity

          public int getSpecificity()

      Gets the specificity.
      Returns:
        the specificity

    - #### compareTo

          public int compareTo​(Match o)

      Compares this object with the given `Match` object.

      Comparison is based on the specificity of the objects. Specificity is calculated based on the id count, the style class count and the pseudoclass count.

      Specified by:
        `compareTo` in interface `Comparable<Match>`
      Parameters:
        `o` - the `Match` object to be compared
      Returns:
        the difference between the specificity of this object and the specificity of the given `Match` object